ru.bitel.bgbilling.modules.tv.access.manage.event

## Class TvDeviceManageEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent
      - - ru.bitel.bgbilling.modules.tv.access.manage.event.TvDeviceManageEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TvDeviceManageEvent
      extends PartitionedQueueEvent

  Задание на выполнение команды.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TvDeviceManageEvent()`
    `` | `TvDeviceManageEvent(int moduleId, int userId, int deviceId, java.lang.String operation, int accountId, int connectionId)`
    `` | `TvDeviceManageEvent(int moduleId, int userId, int deviceId, java.lang.String operation, int accountId, int connectionId, java.util.Map<java.lang.String,java.lang.String> params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccountId()`
    `int` | `getDeviceId()`
    `java.lang.String` | `getOperation()`
    `protected java.lang.String` | `getPackageName()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
    `protected int` | `getPartitionValue()`
    `java.lang.Object` | `getResult()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `void` | `setResult(java.lang.Object result)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

      `getDestination, getDestinationMask`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvDeviceManageEvent

          protected TvDeviceManageEvent()

    - #### TvDeviceManageEvent

          public TvDeviceManageEvent(int moduleId,
                                     int userId,
                                     int deviceId,
                                     java.lang.String operation,
                                     int accountId,
                                     int connectionId)

    - #### TvDeviceManageEvent

          public TvDeviceManageEvent(int moduleId,
                                     int userId,
                                     int deviceId,
                                     java.lang.String operation,
                                     int accountId,
                                     int connectionId,
                                     java.util.Map<java.lang.String,java.lang.String> params)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getDeviceId

          public int getDeviceId()

    - #### getAccountId

          public int getAccountId()

    - #### getOperation

          public java.lang.String getOperation()

    - #### getResult

          public java.lang.Object getResult()

    - #### setResult

          public void setResult(java.lang.Object result)

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### getPackageName

          protected java.lang.String getPackageName()

      Specified by:
        `getPackageName` in class `PartitionedQueueEvent`

    - #### getPartitionValue

          protected int getPartitionValue()

      Specified by:
        `getPartitionValue` in class `PartitionedQueueEvent`

    - #### getParams

          public java.util.Map<java.lang.String,java.lang.String> getParams()